/oauth2/revoke
POST
/oauth2/revoke
const url = 'https://gymgym.club/api/auth/oauth2/revoke';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"client_id":"example","client_secret":"example","token":"example","token_type_hint":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gymgym.club/api/auth/oauth2/revoke \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "client_id": "example", "client_secret": "example", "token": "example", "token_type_hint": "example" }'Revoke an OAuth2 access or refresh token
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
client_id
OAuth2 client ID
string
client_secret
OAuth2 client secret
string
token
required
The token to revoke (access or refresh token)
string
token_type_hint
Hint about the token type. Recognized values: access_token, refresh_token.
string
Examplegenerated
{ "client_id": "example", "client_secret": "example", "token": "example", "token_type_hint": "example"}Responses
Section titled “Responses”Token revoked successfully. The response body is empty.
Media typeapplication/json
Empty object on success
object
Examplegenerated
{}Invalid request or error response
Media typeapplication/json
object
error
required
string
error_description
string
error_uri
string
Examplegenerated
{ "error": "example", "error_description": "example", "error_uri": "example"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}